Package org.apache.storm.security.auth

## Class ServerAuthUtils

- java.lang.Object
- - org.apache.storm.security.auth.ServerAuthUtils

-     public class ServerAuthUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerAuthUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IHttpCredentialsPlugin` | `getDrpcHttpCredentialsPlugin​(Map<String,​Object> conf)` | Construct an HttpServletRequest credential plugin specified by the DRPC storm configuration.
    `static IHttpCredentialsPlugin` | `getHttpCredentialsPlugin​(Map<String,​Object> conf, String klassName)` |
    `static IHttpCredentialsPlugin` | `getUiHttpCredentialsPlugin​(Map<String,​Object> conf)` | Construct an HttpServletRequest credential plugin specified by the UI storm configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerAuthUtils

          public ServerAuthUtils()

  - ### Method Detail

    - #### getHttpCredentialsPlugin

          public static IHttpCredentialsPlugin getHttpCredentialsPlugin​(Map<String,​Object> conf,
                                                                        String klassName)

    - #### getUiHttpCredentialsPlugin

          public static IHttpCredentialsPlugin getUiHttpCredentialsPlugin​(Map<String,​Object> conf)

      Construct an HttpServletRequest credential plugin specified by the UI storm configuration.
      Parameters:
        `conf` - storm configuration
      Returns:
        the plugin

    - #### getDrpcHttpCredentialsPlugin

          public static IHttpCredentialsPlugin getDrpcHttpCredentialsPlugin​(Map<String,​Object> conf)

      Construct an HttpServletRequest credential plugin specified by the DRPC storm configuration.
      Parameters:
        `conf` - storm configuration
      Returns:
        the plugin